.table {
    display: table;
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1.2rem;
    text-align: left;

    tr {
        border-bottom: 1px solid $color-border;
    }

    tbody tr:last-child {
        border-bottom: none;
    }

    th {
        font-family: $font-primary-medium;
    }

    th, td {
        text-align: left;
        padding: 1.2rem 0.9rem;

        @include respond-to(md) {
            padding: 1.8rem 1.2rem;
        }
    }

    .col--fill {
        width: 100%;
    }

    .no-wrap {
        white-space: nowrap;
    }

    .actionBtn {
        text-align: right;
        padding: 0 1.2rem;
    }

    .empty-cell {
        text-align: center;
    }
}

.table--responsive {
    margin-bottom: 0;

    @include respond-to(sm) {
        margin-bottom: 1.2rem;
    }


    th {
        min-width: 9rem;

        @include respond-to(md) {
            min-width: 10rem;
        }
    }

    td {
        display: block;
        vertical-align: middle;
        padding-top: 1.2rem;
        padding-bottom: 1.2rem;

        &:first-child {
            margin-top: 1.2rem;
        }

        &:last-child {
            margin-bottom: 1.2rem;
        }
    }

    th, thead {
        display: none;
    }

    td:before {
        content: attr(data-th) " ";
        width: 30%;
        display: inline-block;
        font-family: $font-primary-medium;
    }

    td.empty-cell:before {
        content: none;
    }

    .truncate-cell {
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;

        @include respond-to(sm) {
            max-width: 0;
        }
    }

    @include respond-to(sm) {
        thead {
            display: table-header-group;
        }

        td, th {
            display: table-cell;
        }

        td {
            padding-top: 1.8rem;
            padding-bottom: 1.8rem;

            &:before {
                display: none;
            }
        }

        .truncate-cell__text {
            left: 0;
            max-width: 95%;
            padding: 0 1.2rem;
        }
    }
}

.tile-list {
    .tile-list__title {
        @include font-size-header-2;

        padding: 3.6rem 0 0 1.2rem;
    }

    .tile-list__table {
        @extend .table;

        border-collapse: separate;
        border-spacing: 0 1.2rem;

        tr {
            @extend .tile;
        }

        td {
            padding: 1.8rem 0.9rem;

            @include respond-to(md) {
                padding: 1.8rem 1.2rem;
            }
        }

        td:first-child {
            padding-left: 2.4rem;
        }

        td:last-child {
            padding-right: 2.4rem;
        }
    }
}
